1. Este site usa cookies. Ao continuar a usar este site está a concordar com o nosso uso de cookies. Saber Mais.

Flash em Ubuntu 7.04 amd 64

Discussão em 'Dúvidas e Suporte Técnico - GNU/Linux & *nix' iniciada por geotito, 9 de Novembro de 2007. (Respostas: 17; Visualizações: 1227)

Estado do Tópico:
Fechado a novas mensagens.
  1. geotito

    geotito Power Member

    Boas people. Será que alguém se importa de me explicar como se instala o flash player em ubuntu 7.04 amd64? Já usei o comando de instalar programas mas diz que não pode ser carregada nesta versão do SO. Afinal como é que faxo? Ter browser sem flash player hoje em dia...

    Já agora outra dúvida. Como instalo o wine? E o cups?

    P.S.: Sou novo em linux e noob também.
     
  2. petersaints

    petersaints Power Member

    Se és novato não uses amd64 que só dá é problemas... e saca antes o 7.10 i386. É que cenas proprietárias (como o flash) é impossível recompilar em amd64 e o WINE não sei como se portará em amd64.
     
  3. neonl

    neonl Banido

    Boas.

    A esta respondo-te. Mas primeiro, recomendo-te actualizar o Ubuntu. Estar a usar uma distro desactualizada costuma dar buraco.
    Código:
    sudo apt-get install flashplugin-nonfree
    Isto deve funcionar.

    Para o Wine... Já tentaste usar
    Código:
    sudo apt-get update && sudo apt-get install wine
    ?

    O Wine no 7.04 tem uns problemas. No 7.10 está muito melhor.

    Para actualizar a distribuição (não faças a não ser que estejas seguro de que se a distro deixar de funcionar não tens problemas em reinstalar):
    Código:
    sudo nano /etc/apt/sources.list
    substituir em todos os "deb" ou "deb-src" aquela "tag" que diz festy por gusty. Fazer Ctrl + X, Y, Enter.

    Executar os comandos
    Código:
    sudo apt-get update && sudo apt-get dist-upgrade
     
  4. neonl

    neonl Banido

    Pete, adentaste-te. Deixa-o usar o 64 bits. É preciso um gajo habituar-se. O flash instala-se. Eu tenho e funciona (pelo menos no Gusty).
     
  5. petersaints

    petersaints Power Member

    Ok oK mas o conselho de passar para 7.10 esse é unânime :P
     
  6. esquiso

    esquiso Power Member

    Mitos.

    Flash em 64 bits é perfeitamente possivel, cria é alguma instabilidade no sistema. Como?
    Código:
    sudo apt-get install ia32-libs ia32-libs-gtk linux32 lib32asound2
    sudo apt-get install nspluginwrapper gsfonts-x11
    
    wget http://fpdownload.macromedia.com/get/flashplayer/current/install_flash_player_9_linux.tar.gz
    Extrair ^^
    
    Copiar os ficheiros “libflashplayer.so” e “flashplayer.xpt” para a pasta /usr/lib/mozilla/plugins, usando os comandos (assumi que os ficheiros estão por defeito no desktop)
    
    sudo cp ~/Desktop/install_flash_player_9_linux/libflashplayer.so /usr/lib/mozilla/plugins
    sudo cp ~/Desktop/install_flash_player_9_linux/flashplayer.xpt /usr/lib/mozilla/plugins
    
    nspluginwrapper -i /usr/lib/mozilla/plugins/libflashplayer.so
    WINE é exactamente igual, sem espinhas. Tanto podes instalar pelos repos do Ubuntu, como pelos repos do WINE ou mesmo usado um dos .debs que eles fornecem :)
     
  7. neonl

    neonl Banido

    Claro

    Se te referes aos serviços de impressão, no Ubuntu não é preciso instalar. Ele tem isso tudo out-of-the-box. Se te referes a outra coisa, ou precisas de um serviço específico diz.
     
  8. geotito

    geotito Power Member

    ok. há algum código pra fazer update sem ter que reinstalar?
     
  9. neonl

    neonl Banido

    Tipo o que eu escrevi na primeira resposta :P?

    EDIT:
     
    Última edição: 9 de Novembro de 2007
  10. geotito

    geotito Power Member

    não, eu não consigo mesmo imprimir nada. a impressora é uma Epson Stylus DX4250 (multifunções) e não é reconhecida
     
  11. geotito

    geotito Power Member

    Aparece a seguinte mensagem na actualização:

    E: O tipo 'http://pt.archive.ubuntu.com/ubuntu/' não é conhecido na linha 4 na lista de fontes /etc/apt/sources.list
     
  12. neonl

    neonl Banido

    Se calhar era melhor actualizar a distro primeiro (não quero com isto dizer que resolva todos os teus problemas).

    Estive a consultar e penso que o que tu queres é fazer isto:
    Código:
    sudo apt-get update && sudo apt-get install cupsddk-drivers
    EDIT:
    Faz:
    Código:
    gksu gedit /etc/apt/sources.list
    e substitui todo o ficheiro por somente isto:
    Código:
    deb http://pt.archive.ubuntu.com/ubuntu/ gutsy main restricted
    deb-src http://pt.archive.ubuntu.com/ubuntu/ gutsy main restricted
    deb http://pt.archive.ubuntu.com/ubuntu/ gutsy universe
    deb-src http://pt.archive.ubuntu.com/ubuntu/ gutsy universe
    deb http://pt.archive.ubuntu.com/ubuntu/ gutsy-updates universe
    deb-src http://pt.archive.ubuntu.com/ubuntu/ gutsy-updates universe
    deb http://pt.archive.ubuntu.com/ubuntu/ gutsy multiverse
    deb-src http://pt.archive.ubuntu.com/ubuntu/ gutsy multiverse
    deb http://pt.archive.ubuntu.com/ubuntu/ gutsy-updates multiverse
    deb-src http://pt.archive.ubuntu.com/ubuntu/ gutsy-updates multiverse
    deb http://security.ubuntu.com/ubuntu gutsy-security main restricted
    deb-src http://security.ubuntu.com/ubuntu gutsy-security main restricted
    deb http://security.ubuntu.com/ubuntu gutsy-security universe
    deb-src http://security.ubuntu.com/ubuntu gutsy-security universe
    deb http://security.ubuntu.com/ubuntu gutsy-security multiverse
    deb-src http://security.ubuntu.com/ubuntu gutsy-security multiverse
    
     
    Última edição: 9 de Novembro de 2007
  13. geotito

    geotito Power Member

    dá-me o mesmo erro k anteriormente

    não funciona mesmo. agora aparece uma mensagem a pedir para ter atenção, k não reconhece
     
    Última edição: 9 de Novembro de 2007
  14. neonl

    neonl Banido

    Olha, se ainda não fizeste nada... não faças.

    Deves actualizar, sim. Mas deves descarregar o CD e instalar porque pelo o que eu tive a ler no fórum do Ubuntu a actualização nunca é pacífica (na verdade comigo nunca resultou em Ubuntu, em Debian é muito mais simples).

    Ficas com tudo escangalhado.
     
  15. geotito

    geotito Power Member

    nenhum dos códigos funcionou. Ainda não consegui instalar o flash, wine nem actualizar o SO.
     
  16. geotito

    geotito Power Member

    Mas descarrego o cd e instalo por cima do SO? Tenho instalado XP e linux em dual boot (através do grub). Não vou ter problemas?
     
  17. neonl

    neonl Banido

    Pois... Os repositorios de ubuntu 7.04 devem estar "magrinhos" agora. E como eu disse no post anterior, não é muito fácil actualizar a distro. É sacar o CD e instalar por cima. A não ser que tenhas todos os teus dados na partição onde está o Linux também não é grave, demora 10-15 minutos.
     
  18. APLinhares

    APLinhares OpenSource Moderator
    Staff Member

    Não vamos criar 1 tópico por cada dúvida que surja ne (do mesmo user)? inda por cima, quando ja se falou em flash e 64bits.
     
Estado do Tópico:
Fechado a novas mensagens.

Partilhar esta Página